### Function

# Gio SimpleProxyResolver new

since: 2.36

#### Declaration

    GProxyResolver*
    g_simple_proxy_resolver_new (
      const gchar* default_proxy,
      gchar** ignore_hosts
    )

#### Description

Creates a new `GSimpleProxyResolver`. See `GSimpleProxyResolver:default-proxy` and `GSimpleProxyResolver:ignore-hosts` for more details on how the arguments are interpreted.

Available since: 2.36

#### Parameters

`default_proxy`

  Type: `const gchar*`

  The default proxy to use, eg “socks://192.168.1.1”

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`ignore_hosts`

  Type: An array of `gchar*`

  An optional list of hosts/IP addresses to not use a proxy for.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `GProxyResolver`

A new `GSimpleProxyResolver`.

The caller of the function takes ownership of the data, and is responsible for freeing it.